Subject: the continuing xargs probs -- sysconf
From: [email-masked] (Robert)

4 Nov 1996 22:38:27 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
XX-from: [email-masked] (Robert)
X-Mailer: Mail User's Shell (7.2.6 alpha(3) 7/19/95)
Original-To: [email-masked]
Original-Sender: [email-masked]

Message has been automatically signed by PGPsendmail 1.4,
available from ftp.atnf.csiro.au:pub/people/rgooch

-----BEGIN PGP SIGNED MESSAGE-----

 > From: John Basrai <[email-masked]>
 > Date: Sat  Oct 26, 10:12am
 >
 > 
 >  > When I try to run my newly compiled xargs prog, I get "environment
 >  > is too large for exec".  My environment is only 3K in size.  I
 >  > looked at xargs.c and it's getting the maximum number of arguments
 >  > from _SC_MAX_ARGS, if defined.  As it turns out, _SC_ARG_MAX is
 >  > defined as 0 in /i386-cygwin32/include/sys/unistd.h.
 > 
 > _SC_ARG_MAX is an integer that is passed to sysconf() to get the
 > acutal value
 > 
 > 	argmax = sysconf(_SC_ARG_MAX);
 > 
 > See man page on sysconf().  This allows you to get a number of system
 > configuration parameters at run time so that you don't have compiled
 > in limits in your code.
 > 
 > -john

Does anyone know if sysconf() works properly on GNU-WIN32?  I looked in the
FAQ and there seemed to be no mention of this.  Also, the mailing list archive
has nothing as well (the mailing list archive only goes up to May 1, 1996).

Thanks for any help.

- -- 
Internet: [email-masked]                   In real life: Robert Brown,
URL: http://www.c2.net/~dummy                          in sunny Berkeley, CA
  >> Ignorance isn't bliss -- it's good business. <<   waiting for The Big One
           >> Thank you for not breeding. <<           (510) 464-4604

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".